# Bending Laminar Material

Study the bending laminar material. Tetrapak provided two sets of laminar material CD and MD and 3DImaging center scanned the material in 4 different angles, 0, 45, 90 and 180 when bent inward (in_in_) or outward (out_out_).
The goal was to investigate the properites of laminar mateiral while bending. First we segmneted the inner and outer layer of each samplein different angles, thereafter we measured the Euclidean distance between inner and outer layer as a measured property.
Then we registered the samples from 0, 45 and 90 degree to 180 degree and align the segmented meshes to point of concavity of 180 degree sample.

<dl>
	<dt>Project responsible</dt>
	<dd>Behnaz Pirzamanbein <a href="mailto:bepi@dtu.dk">bepi@dtu.dk</a> </dd>	
	<dt>Project participants</dt>
   	<dd>Vedrana A. Dahl <a href="mailto:vand@dtu.dk">vand@dtu.dk</a> </dd>
   	<dd>Carsten  Gundlach <a href="mailto:cagu@fysik.dtu.dk">cagu@fysik.dtu.dk</a> </dd>
	<dt>User</dt>
	<dd>Tetra Pak </dd>
	<dt>Collaboration</dt>
	<dd>LINX </dd>
</dl>

## Status
Current phase: Finished.


## Outputs
### Reports
* [Abstarct to Northern Lights on Food](https://indico.linxs.lu.se/event/159/)
* Technical Report soon ...


### Code
Main code is Demo.m which goes through 
1. PointSelection: annotate points close to the desired layers
2. LayerDetection: segment the inner and outer layers
3. PrepMeasure: prepare the segmeted layers to compute the measure
4. PrepRegistration: prepare the segemented layers for registration
5. Measure: compute the Euclidean distance in different units
6. Registration: register the 0, 45, and 90 degree samples to 180 degree
7. Transformation: transform and align the meshes
8. Export2inp: convert the mesh points to .inp files
     


## Data

Data is currently on files.dtu.dk. Contact Behnaz or Carsten for access.

## Results
Final results can be seen in the video below
* [Video](https://video.dtu.dk/media/Bending+animation/0_gna4b9r6)</dt>

The `Results` folder contains the results of one sample, `CD_out_out` analysis for validation as 
* export: Mesh points exported to .inp
* layer: 
    1. segmented layer in 2D 
    2. converted segmented layer from 2D to 3D
    3. trasfer: (we used a bijection transformation so for each pixel in one degree we know the exact correspondance in other degree)
        * 0dg_rest: transformation of 0dg mesh to 45, 90 and 180 (find the correspodning mesh points)
        * align_0dg_rest: aligned trasformed meshes
        * all_to_180dg: all degrees to 180
* measure: Euclidean distance and images of the results in pixel, mm, and micrometer
* point: annotated points
* registration: 
    1. prepared data for registration and images of inner and outer layers used for registration
    2. layer: Registered layers
    3. tform: transformation matrix

